%
% -----------------
% Copyright © 2019 ACK Cyfronet AGH, Poland. 
%
% This work was partially funded by EPOS Project funded in frame of PL-POIR4.2
% --------------
%
function varargout = eliminateEmptyValues(varargin)
    if isempty(varargin)
        return;
    end
    indexes = 1:length(varargin{1});
    for i = 1:length(varargin)
        column = varargin{i};
        if isnumeric(column)
            indexes = intersect(indexes, find(~isnan(column)));
        elseif iscell(column)
            indexes = intersect(indexes, find(~cellfun(@isempty, column)));
        end
    end
    for i = 1:length(varargin)
        varargout{i} = varargin{i}(indexes);
    end
end